PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_sgetrf_Tile | ( | PLASMA_desc * | A,
|  | int * | IPIV
| ) |  |

PLASMA_sgetrf_Tile - Computes the tile LU factorization of a matrix. Tile equivalent of PLASMA_sgetrf(). Operates on matrices stored by tiles. All matrices are passed through descriptors. All dimensions are taken from the descriptors.

Parameters

  [in,out] | A | On entry, the M-by-N matrix to be factored. On exit, the tile factors L and U from the factorization.
  [out] | IPIV | The pivot indices that define the permutations (not equivalent to LAPACK).

Returns

Return values

  PLASMA_SUCCESS | successful exit
  >0 | if i, U(i,i) is exactly zero. The factorization has been completed, but the factor U is exactly singular, and division by zero will occur if it is used to solve a system of equations.

See also
  PLASMA_sgetrf
  PLASMA_sgetrf_Tile_Async
  PLASMA_cgetrf_Tile
  PLASMA_dgetrf_Tile
  PLASMA_sgetrf_Tile
  PLASMA_sgetrs_Tile